Bug 867972 - selinux relabel of a system relabels other installs if they are mounted (I think)
selinux relabel of a system relabels other installs if they are mounted (I th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 14:47 EDT by stan
Modified: 2013-08-01 01:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:01:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan 2012-10-18 14:47:07 EDT
Description of problem:  When selinux does a relabel of a system, it doesn't seem to restrict itself to the local version.  I have other versions of Fedora mounted under /mnt via fstab at boot, and it seems to crawl those systems and relabel them.  Though I've noticed this before, the specific incident that triggered this ticket happened on F17 recently.  When I did a yum update, the update of the selinux policy took over an hour.  I assume it was doing a complete system relabel.  When I booted into F14 after that, it wouldn't boot into runlevel 5 because of selinux problems.  I didn't want to do a relabel because it would also crawl through /mnt and relabel F17.  I keep F14 around because it is the last Fedora version that had full video functionality for my old hardware.  

I'm not sure that selinux caused this problem, but that install booted just fine prior to the selinux update, receives no updates, and failed after.  It also now receives the denials on boot, which it didn't before.


Version-Release number of selected component (if applicable):
selinux-policy-targeted.noarch', '3.10.0-153.fc17
This is now updated to the latest, 156, with the latest yum update.


How reproducible:
Seems to happen every time.

Steps to Reproduce:
1.  Have more than one Fedora install mounted
2.  Relabel
3.
  
Actual results:
Relabels everything, including the other systems that are mounted, but not running.

Expected results:
Relabels only the current system.

Additional info:
Would it be possible to allow directories to be placed in the /.autorelabel file, and have selinux ignore those directories as part of the autorelabel?  Or maybe in /etc/selinux/semanage.conf?  There is already an ignoredirs option in the conf file, but it seems to serve a different purpose.  I didn't try adding /mnt to that list, however, so it might serve this purpose also.
Comment 1 Fedora End Of Life 2013-07-03 20:51:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:01:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.